TasksMake a charge primary

Make a charge primary

Needs: Tasks, Read-write

Makes a charge the task's primary charge and sets the task's price code, keeping the charge's minutes and cost. Billed tasks and charges are locked.

curl -X POST "https://app.imploy.com.au/api/integrations/v1/task-charges/123/primary" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "primary": 7,
  "data": {
    "id": 90,
    "title": "Review care plan",
    "date": "2026-03-02",
    "client": {
      "id": 12,
      "name": "Example Client"
    },
    "assignee": {
      "id": 40,
      "name": "Example Admin"
    },
    "minutes": 30,
    "price_code": 301,
    "charge": "Care management",
    "billable": true,
    "completed": false,
    "charges": [
      {
        "id": 7,
        "name": "Care management",
        "price_code": 301,
        "minutes": 30,
        "total_cost": 45,
        "claim_type": "Direct service",
        "primary": true
      }
    ],
    "can_edit": true
  }
}
POST
/task-charges/{id}/primary
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
path
idinteger
Required

The charge id.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

Path Parameters

idinteger
Required

The charge id.

Responses

OK